<?php
    ini_set('display_errors', 1);
    ini_set('display_startup_errors', 1);
    error_reporting(E_ALL);
    $parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
    require_once( $parse_uri[0] . 'wp-load.php' );    

    if ( ! function_exists( 'wp_handle_upload' ) ) {
        require_once( ABSPATH . 'wp-admin/includes/file.php' );
    }

    
    set_time_limit(300);
    #echo ini_get('upload_max_filesize'); 
    
    uploadFiles('vids', 'vids');
    uploadFiles('images', 'images');
    uploadFiles('pdf', 'pdfs');
    uploadFiles('thumbnails', 'images');
    
    
    global $output_folder;
    
    $_POST = stripslashes_deep($_POST);
    
    update_option('publication_file', $_POST["filename"]);
    update_option('publication_file_path', $_POST["fullpath"]);
    
    
    $newList = htmlspecialchars_decode($_POST["publications_combined"], ENT_QUOTES);
     
    #echo $newList;
    #if ($_POST["publications_new"]){
    #    $newList = $newList."\r\n".htmlspecialchars_decode($_POST["publications_new"], ENT_QUOTES);
    #}
    saveFile(get_home_path() . $_POST["fullpath"] . $_POST["filename"], $newList);
    update_option('publication_database',$newList );
    

    
    #$attachment_id = media_handle_upload('/Users/Birkeland/programming/wordpress/wp-content/papercite-data/bib/', $post->ID);
    
    
    function saveFile($filename, $fileInput){
        $fp = fopen($filename, "w");
        fwrite($fp,$fileInput);
        fclose($fp);
    }
    
    
    function uploadFiles($fileTypes, $folder)
    {
        global $output_folder;
        $output_folder = $folder;
        

	add_filter( 'upload_dir', 'custom_dir' );
           
 
        foreach (reArrayFiles($_FILES[$fileTypes]) as $file) {


            #$target_dir =   plugin_dir_url(__FILE__);
            #$target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);
            #$uploadOk = 1;
            #$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);

            $upload_overrides = array( 'test_form' => false );

            $movefile = wp_handle_upload( $file, $upload_overrides );

            if ( $movefile && ! isset( $movefile['error'] ) ) {
                echo "File is valid, and was successfully uploaded.\n";
                var_dump( $movefile );
            } else {
                /**
                 * Error generated by _wp_handle_upload()
                 * @see _wp_handle_upload() in wp-admin/includes/file.php
                 */
                echo $movefile['error'];
            }
        }
        
        remove_filter( 'upload_dir', 'custom_dir' );

    }
    
    function custom_dir( $dirs ) {
        global $output_folder;
        $dirs['subdir'] = '/../papercite-data/' . $output_folder;
        $dirs['path'] = $dirs['basedir'] . $dirs['subdir'];
        $dirs['url'] = $dirs['baseurl'] . $dirs['subdir'];

        return $dirs;
    }
    
    function reArrayFiles(&$file_post) {

        $file_ary = array();
        $file_count = count($file_post['name']);
        $file_keys = array_keys($file_post);

        for ($i=0; $i<$file_count; $i++) {
            foreach ($file_keys as $key) {
                $file_ary[$i][$key] = $file_post[$key][$i];
            }
        }

        return $file_ary;
    }
    
?>
<script>
    

    
    window.location.href =  window.location.origin + "/wp-admin/admin.php?page=publications_menu";
</script>
